<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="c529f766e1db2027" weblate-flags="read-only, safe-html, strict-same">
        <source>= Allocation Control As &lt;&lt;ref_value_from&gt;&gt; creates a &lt;&lt;ref_value&gt;&gt; object, users may want to control the way memory is allocated for it. For this reason the function has an optional &lt;&lt;ref_storage_ptr&gt;&gt; parameter, that is used to set the {ref_memory_resource} for the result.</source>
        <target state="translated">= Allocation Control As &lt;&lt;ref_value_from&gt;&gt; creates a &lt;&lt;ref_value&gt;&gt; object, users may want to control the way memory is allocated for it. For this reason the function has an optional &lt;&lt;ref_storage_ptr&gt;&gt; parameter, that is used to set the {ref_memory_resource} for the result.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">10</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c219ca47bd3922fd" weblate-flags="read-only, safe-html, strict-same">
        <source>&lt;&lt;ref_value_to&gt;&gt; does not have a similar parameter, as &lt;&lt;ref_value&gt;&gt; is not created.</source>
        <target state="translated">&lt;&lt;ref_value_to&gt;&gt; does not have a similar parameter, as &lt;&lt;ref_value&gt;&gt; is not created.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">17</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="84bebd121a2844a4" weblate-flags="read-only, safe-html, strict-same">
        <source>As the conversion result is set via an output parameter of type `value&amp;`, the intended &lt;&lt;ref_storage_ptr&gt;&gt; is correctly propagated. But users still should take care to not create temporaries using the default {ref_memory_resource} by accident.</source>
        <target state="translated">As the conversion result is set via an output parameter of type `value&amp;`, the intended &lt;&lt;ref_storage_ptr&gt;&gt; is correctly propagated. But users still should take care to not create temporaries using the default {ref_memory_resource} by accident.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">20</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="37deed72f4a94944" weblate-flags="read-only, safe-html, strict-same">
        <source>For example, consider this alternative implementation of `tag_invoke` for `ip_address` from the section &lt;&lt;custom_conversions&gt;&gt;.</source>
        <target state="translated">For example, consider this alternative implementation of `tag_invoke` for `ip_address` from the section &lt;&lt;custom_conversions&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">25</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6459e5a058296fdd" weblate-flags="read-only, safe-html, strict-same">
        <source>``` void tag_invoke( const value_from_tag&amp;, value&amp; jv, ip_address const&amp; addr ) { jv = array{ b[0], b[1], b[2], b[3] }; } ```</source>
        <target state="translated">``` void tag_invoke( const value_from_tag&amp;, value&amp; jv, ip_address const&amp; addr ) { jv = array{ b[0], b[1], b[2], b[3] }; } ```</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">28</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d3fe6df2a74d4995" weblate-flags="read-only, safe-html, strict-same">
        <source>This implementation explicitly creates an &lt;&lt;ref_array&gt;&gt; rather than relying on assignment from an initializer list. But the array uses default {ref_memory_resource}, not the one used by `jv`.</source>
        <target state="translated">This implementation explicitly creates an &lt;&lt;ref_array&gt;&gt; rather than relying on assignment from an initializer list. But the array uses default {ref_memory_resource}, not the one used by `jv`.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="21e2378a842ee324" weblate-flags="read-only, safe-html, strict-same">
        <source>To avoid creating such temporaries with an incorrect {ref_memory_resource}, using &lt;&lt;ref_value&gt;&gt;'s member functions &lt;&lt;ref_value_emplace_array&gt;&gt;, &lt;&lt;ref_value_emplace_object&gt;&gt;, and &lt;&lt;ref_value_emplace_string&gt;&gt; can be helpful.</source>
        <target state="translated">To avoid creating such temporaries with an incorrect {ref_memory_resource}, using &lt;&lt;ref_value&gt;&gt;'s member functions &lt;&lt;ref_value_emplace_array&gt;&gt;, &lt;&lt;ref_value_emplace_object&gt;&gt;, and &lt;&lt;ref_value_emplace_string&gt;&gt; can be helpful.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">40</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
